char2dms {sp} | R Documentation

## Convert character vector to DMS-class object

### Description

These two helper functions convert character vectors and decimal degree vectors to the DMS-class representation of degrees, minutes, and decimal seconds. "DMS" objects cannot contain NAs.

### Usage

    char2dms(from, chd = "d", chm = "'", chs = "\"")
    dd2dms(dd, NS = FALSE)

### Arguments

`from` | character vector of degree, minute, decimal second data
`chd` | degree character terminator
`chm` | minute character terminator
`chs` | second character terminator
`dd` | numeric vector of decimal degrees
`NS` | logical, TRUE for north/south decimal degrees, FALSE for east/west decimal degrees

### Details

In char2dms, the input data vector should use a regular format, such as that used in the PROJ.4 library, with a trailing capital (NSWE) indicating compass direction.

### Value

Both functions return a "DMS" object.

### Methods

from = "DMS", to = "numeric"

  coerce a `"DMS"` object to a `"numeric"` vector

from = "DMS", to = "character"

  coerce a `"DMS"` object to a `"character"` vector (the `as.character.DMS` S3 method is also available)

### Author(s)

Roger Bivand Roger.Bivand@nhh.no

### See Also

`DMS-class`

### Examples

    data(state)
    str(state.center$y)
    stateN <- dd2dms(state.center$y, NS=TRUE)
    str(attributes(stateN))
    ch.stateN <- as.character(stateN)
    str(ch.stateN)
    stateNa <- char2dms(ch.stateN)
    str(attributes(stateNa))
    ch.stateN <- as(stateN, "character")
    str(ch.stateN)
    stateNa <- char2dms(ch.stateN)
    str(attributes(stateNa))

[Package sp version 1.2-5 Index]